ATEM 7.5.2 on older HD ATEMs?

Questions about ATEM Switchers, Camera Converter and everything live!
  • Author
  • Message
Offline
User avatar

Jeff Klein

  • Posts: 71
  • Joined: Fri Mar 08, 2013 5:58 pm
  • Location: Baltimore, Maryland

ATEM 7.5.2 on older HD ATEMs?

PostThu Jan 03, 2019 7:31 pm

Hey folks,
We're replacing our church's aging video PCs with a 2017 iMac (for recording/editing) and a Dell Optiplex Win10 PC (for touchscreen control) and while we're upgrading our ATEM later this year, we'll still be running our old HD ATEM 1 M/E until then. Main usage is recording weekly services with a basic multi-cam setup.

Is all, or at least 7.5.2, ATEM software backward compatible with the older HD versions? We're currently running 4.2 due to our old ATEM control PC being a 32bit Win7 PC, but with that going away I'd like to use the most recent HD ATEM compatible Control software.

If current ATEM SW won't support the older HD ATEMs, what's the latest software version that will?

Thanks,
Jeff
Jeff Klein, DMC-E
Baltimore, Maryland

Record PC:
2017 iMac 27", 3.4GHz, 8GB RAM, Ultrastudio Mini Recorder (TB2/TB3)
Control PC:
Win10 Pro Dell Optiplex 3050 Micro, 2.7GHz i5, 8GB RAM
Dell ST2220Tc IPS Touchscreen (ATEM Software Control)
Offline
User avatar

Xtreemtec

  • Posts: 3946
  • Joined: Wed Jan 02, 2013 11:48 am
  • Location: The Netherlands

Re: ATEM 7.5.2 on older HD ATEMs?

PostThu Jan 03, 2019 10:12 pm

The latest versions did drop the FW updates for the older Atems. But you can still install Atem V7 and it should work with the old Atems.. If i remember correct the old Atems are dropped from V7.5 and up.

But be careful when you run the update procedure. Make 100% sure you have a good connection to the mixer, USB is put in all the way and your computer is finished with updates and stuff. So it won't reboot in the middle of the firmware upgrade. Because the old atems are not supported anymore. So if the firmware flash goes wrong, (Power outage, usb disconnect, pc restart, whatever) You probably end up with a bricked Atem mixer.
Daniel Wittenaar .:: Xtreemtec Media Productions ::. -= www.xtreemtec.nl =-
4K OBV Trailer, ATEM TVS HD, 4M/E Broadcast Studio 4K, Constelation 8K, Hyperdeck Studio 12G, Ursa Broadcast 4K, 4K fiber converters with Sony Control
Offline
User avatar

Baz

  • Posts: 570
  • Joined: Wed Aug 22, 2012 5:06 am
  • Location: Sydney, Australia

Re: ATEM 7.5.2 on older HD ATEMs?

PostThu Jan 03, 2019 11:39 pm

I just updated my old ATEM TVS and ATEM 2me with v7.5.2 with no problems.
Baz

MISC
U/S Express, SmartviewDuo, SmartScopeDuo, Teranex 2D, Web Pres, 5/7 Vid Assists
VIDEOHUB
Smart 12x12
12x24
72x144
HYPERDECK
Studio, Shuttle, Studio Mini
ATEM
2me4K, 2me, TVS, TVS HD, CamConvs, StudioConvs, Studio Cams, Micro Studio Cam
Offline
User avatar

Jeff Klein

  • Posts: 71
  • Joined: Fri Mar 08, 2013 5:58 pm
  • Location: Baltimore, Maryland

Re: ATEM 7.5.2 on older HD ATEMs?

PostFri Jan 04, 2019 12:37 am

Thanks, Daniel. I'll give v7 a try. Never had an issue with updating in the past so should be ok there. And if it bricks up, well..."Hey Pastor, remember that new switcher we budgeted for this year? We might wanna buy that NOW..." heheh. Although I do want to keep this old one for the occasional portable use, so I'll be careful :)

Jeff
Jeff Klein, DMC-E
Baltimore, Maryland

Record PC:
2017 iMac 27", 3.4GHz, 8GB RAM, Ultrastudio Mini Recorder (TB2/TB3)
Control PC:
Win10 Pro Dell Optiplex 3050 Micro, 2.7GHz i5, 8GB RAM
Dell ST2220Tc IPS Touchscreen (ATEM Software Control)
Offline

MambaFiber.com

  • Posts: 657
  • Joined: Fri Aug 02, 2013 5:26 pm
  • Location: SLC, UT

Re: ATEM 7.5.2 on older HD ATEMs?

PostFri Jan 04, 2019 4:30 am

is there a need to run the current version on older hardware? we still have 6.9 on our pre4k switchers. very stable. admittedly having to run two sets of hardware/software is not as easy as it used to be but we like things that work. always.
Greg Bellotte - owner
MambaFiber.com
FaceBook.com/MambaFiber
Offline

Robert Betzner

  • Posts: 360
  • Joined: Fri Sep 28, 2012 7:54 am
  • Location: Cologne, Germany

Re: ATEM 7.5.2 on older HD ATEMs?

PostFri Jan 04, 2019 10:43 am

Yes - 7.5.2 is the last version that will support the older ATEM line. And it makes sense to install it as it is the only version that supports the new camera control panel in combination with the older Atem switchers.


Cheers

Robert
Offline

Gary Adams

Blackmagic Design

  • Posts: 754
  • Joined: Sat Aug 25, 2012 6:14 am

Re: ATEM 7.5.2 on older HD ATEMs?

PostFri Jan 04, 2019 6:02 pm

Basically, the 7.5.2 was added to support the ATEM Camera Control Panel on the legacy ATEMs. If you do not need this panel, then the older ATEM versions are just fine.

Regards, Gary
Gary Adams
Blackmagic Design
Offline
User avatar

Jeff Klein

  • Posts: 71
  • Joined: Fri Mar 08, 2013 5:58 pm
  • Location: Baltimore, Maryland

Re: ATEM 7.5.2 on older HD ATEMs?

PostFri Jan 04, 2019 7:02 pm

We’re upgrading to take advantage of software features added in later versions, such as macro capability that we don’t have now, but have a need for.

Thanks,
Jeff


Sent from my iPhone using Tapatalk
Jeff Klein, DMC-E
Baltimore, Maryland

Record PC:
2017 iMac 27", 3.4GHz, 8GB RAM, Ultrastudio Mini Recorder (TB2/TB3)
Control PC:
Win10 Pro Dell Optiplex 3050 Micro, 2.7GHz i5, 8GB RAM
Dell ST2220Tc IPS Touchscreen (ATEM Software Control)
Offline
User avatar

Jeff Klein

  • Posts: 71
  • Joined: Fri Mar 08, 2013 5:58 pm
  • Location: Baltimore, Maryland

Re: ATEM 7.5.2 on older HD ATEMs?

PostWed Jan 16, 2019 7:55 pm

Hi folks,
So I upgraded last week to version 7.0.3 and all went fine, except that the USB3.0 part no longer works. If I go into ATEM setup, it shows the ATEM firmware and USB firmware as two different connections. I upgraded the "ATEM" part fine, but when I did the "USB" part, it said it failed to install the software. Any ideas why this is? Maybe the software no longer supports the USB Streaming?

It's not a huge deal, as when we upgrade the ATEM 1 M/E later this year the current offerings won't have USB3.0 anyway, so we'd already bought a BMD Ultrastudio MiniRecorder that works just fine, just wondering if it's expected. We'd planned to repurpose the older ATEM for portable use, so would have been nice to plug into the USB3.0 port on a laptop.

Thanks,
Jeff
Jeff Klein, DMC-E
Baltimore, Maryland

Record PC:
2017 iMac 27", 3.4GHz, 8GB RAM, Ultrastudio Mini Recorder (TB2/TB3)
Control PC:
Win10 Pro Dell Optiplex 3050 Micro, 2.7GHz i5, 8GB RAM
Dell ST2220Tc IPS Touchscreen (ATEM Software Control)
Offline

Robert Betzner

  • Posts: 360
  • Joined: Fri Sep 28, 2012 7:54 am
  • Location: Cologne, Germany

Re: ATEM 7.5.2 on older HD ATEMs?

PostThu Jan 17, 2019 3:31 pm

Jeff Klein wrote:Hi folks,
So I upgraded last week to version 7.0.3 and all went fine


Why don't you use the recommended 7.5.2?

Makes no sense at all to use the older version instead of the most recent one.


Cheers

Robert

Return to Live Production

Who is online

Users browsing this forum: No registered users and 7 guests